#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1177096c, "phy_drivers_register" },
	{ 0x9f4a0487, "mdiobus_read" },
	{ 0x4882f31f, "phy_trigger_machine" },
	{ 0x3952fb0e, "phy_error" },
	{ 0x29b8442f, "bcm54xx_auxctl_read" },
	{ 0x60a9433f, "bcm54xx_auxctl_write" },
	{ 0x2021cae5, "bcm_phy_read_shadow" },
	{ 0x61b1eac6, "bcm_phy_write_shadow" },
	{ 0x55314ebb, "phy_modify" },
	{ 0x7cc4579b, "genphy_c37_config_aneg" },
	{ 0x4304cc25, "__genphy_config_aneg" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0xb01d0a42, "bcm_phy_get_wol" },
	{ 0xfa573bd9, "bcm_phy_set_wol" },
	{ 0xf535336c, "bcm_phy_get_stats" },
	{ 0x174dac2f, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc369ff96, "mdiobus_write" },
	{ 0xbdce00a0, "bcm_config_lre_aneg" },
	{ 0xcd1e0e6d, "of_find_property" },
	{ 0xa6b84aeb, "bcm_phy_write_exp" },
	{ 0x594a9aae, "bcm_phy_read_exp" },
	{ 0xfa627428, "genphy_c37_read_status" },
	{ 0xac7be65e, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7f4d8fb, "bcm_phy_get_sset_count" },
	{ 0xe1f1a66b, "bcm_ptp_probe" },
	{ 0x62c8b86, "devm_gpiod_get" },
	{ 0xe7198a0f, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x41373e77, "devm_request_threaded_irq" },
	{ 0x409ed1ce, "device_set_wakeup_capable" },
	{ 0x66177105, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7d24a7d6, "bcm_ptp_config_init" },
	{ 0xccbe73ad, "pm_wakeup_dev_event" },
	{ 0x2f4d75bb, "genphy_resume" },
	{ 0xdc462e78, "genphy_soft_reset" },
	{ 0x4d218dce, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x26a3f6da, "genphy_read_abilities" },
	{ 0x290df286, "bcm_phy_config_intr" },
	{ 0x335f3154, "bcm_phy_handle_interrupt" },
	{ 0xee5674de, "bcm_phy_get_strings" },
	{ 0xaa9cbbd6, "bcm_phy_led_brightness_set" },
	{ 0xf1386fa8, "genphy_suspend" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.6");
