#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x93f014e0, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x7984fc95, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x4c3e19dc, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x41092ec6, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xdf69c018, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xb4548cfb, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xd4d28fed, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xc5cb560b, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x7c37fbde, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x6b74410d, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x8cd578a1, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x6bfd97c9, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x892bd21f, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x7103b6ee, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x761c4eaf, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x42401769, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xad67456a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x87d5a537, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x350b4b43, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x67200029, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xf5abb9ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc369ff96, "mdiobus_write" },
	{ 0x9f4a0487, "mdiobus_read" },
	{ 0x2c46a86b, "phy_write_mmd" },
	{ 0x55314ebb, "phy_modify" },
	{ 0x4882f31f, "phy_trigger_machine" },
	{ 0x3952fb0e, "phy_error" },
	{ 0xda8b5884, "phy_modify_changed" },
	{ 0x422de793, "genphy_update_link" },
	{ 0x615e7f38, "genphy_read_lpa" },
	{ 0xc0df1cdb, "phy_resolve_aneg_pause" },
	{ 0xb32660b3, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8b8687e9, "_dev_err" },
	{ 0x52acaacf, "phy_read_mmd" },
	{ 0x56c57bdc, "ethnl_cable_test_result_with_src" },
	{ 0x82b0d989, "ethnl_cable_test_fault_length_with_src" },
	{ 0x8bbeeeed, "phy_modify_mmd" },
	{ 0xdc462e78, "genphy_soft_reset" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
