#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x0aa94c32, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x0249ff10, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x189adf6d, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xbe274349, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x80f04f33, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x917a3123, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x8250c789, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xcc46fa37, "");
SYMBOL_CRC(ip_vs_conn_put, 0x84405486, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x0ac51be0, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xaea7848b, "");
SYMBOL_CRC(register_ip_vs_app, 0xad9659bd, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x8558a008, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x64c8ad22, "");
SYMBOL_CRC(ip_vs_proto_get, 0x7612fdf0, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x8b78c035, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe0b58272, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x1cef0c17, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x43f6e278, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91087982, "nf_ct_ext_add" },
	{ 0x8e4a7be8, "nf_conntrack_find_get" },
	{ 0xbc002942, "try_module_get" },
	{ 0x3af9a3ca, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x40ac064f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb0484f92, "skb_copy_bits" },
	{ 0xa1b726ec, "xfrm_lookup" },
	{ 0x2d4318d8, "proc_dointvec_jiffies" },
	{ 0xf70dcce1, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0x6afab907, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f39ddf6, "nf_register_sockopt" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x1b782ba6, "nf_ct_netns_get" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xc48efede, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4e8bc119, "kernel_bind" },
	{ 0xba75862b, "genlmsg_put" },
	{ 0x32dac699, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a66da17, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x158b60eb, "__module_get" },
	{ 0x4c995160, "ip_route_output_flow" },
	{ 0x3d406c74, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8756da57, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x7cd77504, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3007a989, "proc_create_net_data" },
	{ 0xc7736c13, "pskb_expand_head" },
	{ 0xc439e3cb, "register_pernet_subsys" },
	{ 0x77990a34, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9183d955, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2d622f64, "nf_register_net_hooks" },
	{ 0x775db90c, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x170b2f38, "__alloc_skb" },
	{ 0xc17b5aa6, "kmem_cache_alloc" },
	{ 0x69f836a6, "ipv6_sock_mc_join" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xf69c0787, "ipv6_dev_get_saddr" },
	{ 0x75fb55bd, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6398ec8f, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfbbb5e8, "sk_skb_reason_drop" },
	{ 0xd1df756e, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4c85e276, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8afb2801, "nf_conntrack_alter_reply" },
	{ 0xb7b4ac98, "ip_route_me_harder" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x64cb7f8b, "skb_push" },
	{ 0x4b9e87c8, "kmem_cache_free" },
	{ 0x8563ca41, "seq_putc" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x2b3cd773, "proc_doulongvec_minmax" },
	{ 0x7aa77906, "nf_ct_expect_alloc" },
	{ 0x4c883502, "skb_ensure_writable" },
	{ 0x12aab1ac, "iov_iter_kvec" },
	{ 0xb419362, "ip_mc_join_group" },
	{ 0x721fb25, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x917817f3, "ns_capable" },
	{ 0xe18be5f9, "nf_unregister_net_hooks" },
	{ 0x6e3184f8, "inet_select_addr" },
	{ 0xa20c9e12, "unregister_pernet_device" },
	{ 0x9438c9f5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5ddc689a, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa131b181, "kthread_stop" },
	{ 0xfbef8f29, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7c12364f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7ff10819, "kernel_connect" },
	{ 0x679e4751, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xd5cfe83, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x63118a64, "__icmpv6_send" },
	{ 0x87623991, "__pskb_pull_tail" },
	{ 0x60e8901, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x879e2b5f, "skb_trim" },
	{ 0xa18b3c03, "nf_hook_slow" },
	{ 0xac674394, "mutex_trylock" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0686ea1, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x59a1ece1, "nf_ct_deliver_cached_events" },
	{ 0x78e13530, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x672855a4, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x157a411a, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xfd6bc811, "skb_set_owner_w" },
	{ 0x7199abcd, "__skb_checksum" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x743d297c, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x74a61794, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc660d820, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0x207ad7d2, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3ba79eb4, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd8369772, "ipv4_update_pmtu" },
	{ 0x3819bc64, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfd6c417b, "dst_release" },
	{ 0xaecd53c9, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xad2b0c0e, "proc_dointvec" },
	{ 0xc82231d2, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb524584a, "unregister_net_sysctl_table" },
	{ 0xadad5a1b, "ip_local_out" },
	{ 0x260eaccc, "genl_unregister_family" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc4fee3d9, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8f60c4fb, "genl_register_family" },
	{ 0xbbc25c47, "kernel_sendmsg" },
	{ 0xdbe41429, "nf_ct_netns_put" },
	{ 0x1a274b96, "register_pernet_device" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x69b3b2d8, "kmem_cache_destroy" },
	{ 0x49a15762, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4a9f4f6d, "proc_dointvec_minmax" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
