#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x6c67735d, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xb5dec3e1, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xc27e7636, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xc046ef67, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x0b5bec92, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xcaeec233, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xcc5ea54e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xab10abd3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x95e0937e, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xc3b91397, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xd2e24d93, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x2453a625, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xd3fcd26d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x222883ac, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xf4224e01, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xac33afff, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x0a0a0e1a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x49082825, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x8a42275d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x859d619e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x10a09a2d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x1b9825db, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xd49a31d7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xf285cc40, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xc1ccbe94, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x0f161408, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x25cf367f, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x16d537fd, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xa28ecd8e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xaf58aa8b, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x28b9eb55, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xe5561dfb, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x605478c7, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x306fa1fd, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xa79b5aef, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x9bf0a417, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f9d78d6, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c6f5f2a, "vsock_insert_connected" },
	{ 0xb1c88763, "skb_put" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0x60bd5811, "trace_raw_output_prep" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xac603ab6, "vsock_remove_sock" },
	{ 0xa6e9e5f9, "trace_event_printf" },
	{ 0xae97adc3, "vsock_deliver_tap" },
	{ 0x99f2b259, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2ca1dbab, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4137fe0d, "sk_error_report" },
	{ 0x31eb17dd, "trace_event_buffer_commit" },
	{ 0xc3d38fb8, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2c15ff17, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x170b2f38, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xebc93cad, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xfbbb5e8, "sk_skb_reason_drop" },
	{ 0x99680f9b, "sk_free" },
	{ 0xcd1f767e, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc18712e9, "__skb_recv_datagram" },
	{ 0x9438c9f5, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc493faa8, "vsock_stream_has_data" },
	{ 0xa7d89b8a, "skb_copy_datagram_iter" },
	{ 0xa11135c0, "bpf_trace_run9" },
	{ 0x20f5a017, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x7cb72169, "sock_efree" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x9456f512, "bpf_trace_run10" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x5933f270, "vsock_core_get_transport" },
	{ 0x153bf629, "__zerocopy_sg_from_iter" },
	{ 0x83a3f28e, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfd6bc811, "skb_set_owner_w" },
	{ 0x698dab9a, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9c2ccd8d, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x47680bdd, "msg_zerocopy_realloc" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x15ec3b0b, "vsock_create_connected" },
	{ 0x312cfaab, "vsock_assign_transport" },
	{ 0xd9a667e3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x90103b34, "iov_iter_npages" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x49a15762, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x560dcc51, "vsock_data_ready" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "549F88994D0746AA2A608BD");
MODULE_INFO(rhelversion, "9.6");
