#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x7e04e978, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x198a5a1e, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xc84606b8, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xfd1c6699, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x8ed3db97, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x2d54ac60, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba50bd81, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xa64e0731, "xsk_tx_completed" },
	{ 0x75164a4b, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd3dc2a5e, "xp_alloc" },
	{ 0xd18e53e5, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x61c7915e, "bpf_prog_put" },
	{ 0x409ed1ce, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7f822f50, "xp_dma_map" },
	{ 0xb0484f92, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0xf134c348, "eth_mac_addr" },
	{ 0xb1c88763, "skb_put" },
	{ 0xc5af3e59, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8917164c, "netdev_update_features" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa8d24d2b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x380e77fc, "hrtimer_try_to_cancel" },
	{ 0x881a3556, "bpf_warn_invalid_xdp_action" },
	{ 0x684e08cb, "unregister_netdev" },
	{ 0x71506f04, "xdp_convert_zc_to_xdp_frame" },
	{ 0x4ffbbad7, "xdp_features_set_redirect_target" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x319f4b13, "gpiod_set_value_cansleep" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0x81c68562, "hrtimer_init" },
	{ 0xded5d382, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x1bef8676, "ptp_clock_index" },
	{ 0x8c5b232e, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x94279c13, "seq_lseek" },
	{ 0xc5473157, "page_pool_destroy" },
	{ 0x65d9438, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe4af51e7, "netdev_warn" },
	{ 0xbdee3f90, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x4806a9b1, "flow_rule_match_ipv4_addrs" },
	{ 0xf6a0e628, "xdp_rxq_info_unreg_mem_model" },
	{ 0x3da79a0c, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x2a8a54d1, "netdev_err" },
	{ 0x82349bdb, "phylink_limit_mac_speed" },
	{ 0xbed59c36, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xc8f0d793, "dev_driver_string" },
	{ 0xf9cb03a, "pinctrl_pm_select_default_state" },
	{ 0x9513c64a, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x94bede99, "eth_type_trans" },
	{ 0x8bc9e3e9, "__pm_runtime_set_status" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xfc00d154, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x289bd0f, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xccbe73ad, "pm_wakeup_dev_event" },
	{ 0x91a4279c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6aee57f2, "__napi_schedule" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x96832616, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xdf2aa931, "netif_device_detach" },
	{ 0x9c0dafa7, "device_property_read_u32_array" },
	{ 0xa2666c7f, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xf117fd27, "rt_write_unlock" },
	{ 0xade9dd61, "_dev_info" },
	{ 0xcc0d9c23, "xpcs_create_mdiodev" },
	{ 0xca553e48, "napi_gro_receive" },
	{ 0xe37b8ba6, "netif_device_attach" },
	{ 0x9e6454ed, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x62345c67, "netdev_pick_tx" },
	{ 0x66331efe, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2b4fbc0, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x444e499, "xdp_rxq_info_is_reg" },
	{ 0x7b5df5aa, "devm_alloc_etherdev_mqs" },
	{ 0xd4ec7eaf, "flow_block_cb_setup_simple" },
	{ 0xae0fe702, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x93847b88, "dev_open" },
	{ 0x3fe6d1f3, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x8b8687e9, "_dev_err" },
	{ 0xad541ba7, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4fb1b102, "pinctrl_pm_select_sleep_state" },
	{ 0xcf834fb1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x314fd837, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0bbf29d, "ptp_clock_register" },
	{ 0x1ace25d5, "xsk_tx_peek_desc" },
	{ 0xd8ef24f6, "__of_mdiobus_register" },
	{ 0xfb562116, "__traceiter_xdp_exception" },
	{ 0xd788a427, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd19b94b5, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xe8b76d6, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x47304f3f, "dma_alloc_attrs" },
	{ 0x7fd5cbd7, "debugfs_remove" },
	{ 0xd22c35c9, "napi_enable" },
	{ 0x9fe9c949, "xsk_clear_rx_need_wakeup" },
	{ 0xe478b76c, "xpcs_get_interfaces" },
	{ 0x6add9b7f, "xsk_uses_need_wakeup" },
	{ 0x5246e74a, "register_netdev" },
	{ 0xa645b4bf, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x956c4c6b, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x6a53c81c, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70f44914, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc69e1a8c, "netif_tx_wake_queue" },
	{ 0xeb004ed, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdb141572, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x3b9d4971, "_dev_warn" },
	{ 0x2d98a086, "flow_rule_match_ports" },
	{ 0x928d62a2, "phylink_fwnode_phy_connect" },
	{ 0x402a21f2, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe826b69, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x2fc21409, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe9bfde97, "fwnode_get_named_child_node" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x950ea893, "ptp_clock_unregister" },
	{ 0x13d7da87, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x70f9e500, "xpcs_get_an_mode" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4ba30be8, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc166c3b9, "xdp_return_frame_rx_napi" },
	{ 0x3f910a53, "netdev_alert" },
	{ 0x82f601d, "dma_set_coherent_mask" },
	{ 0x15eea060, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4efb088d, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x1fa16a4d, "rt_read_lock" },
	{ 0x159a2993, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa7d80138, "debugfs_create_file" },
	{ 0x22459817, "xsk_set_tx_need_wakeup" },
	{ 0xc562aff3, "dma_free_attrs" },
	{ 0x8e3eb432, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe6b2f9c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb8d7f660, "xp_set_rxq_info" },
	{ 0xce16ddd7, "flow_rule_match_vlan" },
	{ 0x1080eb0f, "xdp_rxq_info_unreg" },
	{ 0x87ba98ed, "page_pool_alloc_pages" },
	{ 0x7012da3f, "__xdp_rxq_info_reg" },
	{ 0xd7a95c1c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4bb6ed7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x7b545f99, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4982561f, "netif_carrier_on" },
	{ 0x537c96d6, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x30c335f2, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x56dde469, "xp_free" },
	{ 0xc4e70550, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4460fcd, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x64d8abc5, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xe806253f, "xdp_master_redirect" },
	{ 0x21009221, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xdb73a518, "napi_schedule_prep" },
	{ 0xd1a37139, "napi_disable" },
	{ 0x870c13e9, "dev_kfree_skb_any_reason" },
	{ 0x13479f96, "eth_header_parse_protocol" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xf9a23282, "single_open" },
	{ 0x830353f9, "__pm_runtime_disable" },
	{ 0xb8451ab6, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xce1bc712, "skb_clone_tx_timestamp" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x75fea18d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe30d3fb8, "ethtool_op_get_ts_info" },
	{ 0xfc6347d7, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa69d2929, "__dev_fwnode" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x5110a08a, "netdev_info" },
	{ 0x11ddfbc7, "page_pool_put_unrefed_page" },
	{ 0xee682d1a, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.6");
