#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x1db63f40, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xd949e17e, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xf29327ae, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x1e2470cf, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xefd370e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dcedc1c, "__do_once_done" },
	{ 0x99b0c705, "ip6_route_input_lookup" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6fcf2fb5, "dev_pre_changeaddr_notify" },
	{ 0x5cf04757, "dev_mc_sync" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0xabe58aa4, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8917164c, "netdev_update_features" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0x6afab907, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xe0f2423e, "dev_uc_sync" },
	{ 0xb7bd78b5, "rtnl_link_register" },
	{ 0xffa3abe4, "netif_inherit_tso_max" },
	{ 0x3d04ed8f, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4c995160, "ip_route_output_flow" },
	{ 0x49d8e18d, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x76214cf5, "dev_uc_unsync" },
	{ 0x8a4d7a82, "ether_setup" },
	{ 0x2a8a54d1, "netdev_err" },
	{ 0x14e4c886, "netdev_upper_dev_link" },
	{ 0xc439e3cb, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9364b822, "eth_header_parse" },
	{ 0x11ad0636, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97def128, "eth_header_cache_update" },
	{ 0x2d622f64, "nf_register_net_hooks" },
	{ 0x775db90c, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3aba1bcc, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x63f956f2, "__dev_get_by_index" },
	{ 0xb3b0eee4, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcf834fb1, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfbbb5e8, "sk_skb_reason_drop" },
	{ 0xea5479db, "netif_stacked_transfer_operstate" },
	{ 0x9baddb57, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x6f3bd942, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x917817f3, "ns_capable" },
	{ 0xe18be5f9, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70f44914, "ethtool_op_get_link" },
	{ 0xb318031c, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7c12364f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x87623991, "__pskb_pull_tail" },
	{ 0xa9f54f79, "netif_rx" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3dce7404, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xe84d48c2, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe23ce71b, "call_netdevice_notifiers" },
	{ 0x14cf29fc, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe270b1b5, "skb_clone" },
	{ 0xfd6c417b, "dst_release" },
	{ 0x8197b069, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xadad5a1b, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xb274d496, "dev_mc_unsync" },
	{ 0xca651ab7, "dev_change_flags" },
	{ 0x4c3eb84d, "netdev_core_stats_inc" },
	{ 0x85039247, "dev_forward_skb" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf5495d60, "register_netdevice" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.6");
