#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x3f2f11fd, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x424513bc, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xb4275126, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x356cd44c, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x277bfa83, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x963e5a80, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xc436c343, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xb14cb2f1, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x60f2d726, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0981c51f, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xc614e8bc, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xe09da7d0, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x97ab28a5, "_gpl");
SYMBOL_CRC(usbnet_open, 0x57b7e087, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xc2140f31, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xc07cc3f3, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xd1ef196f, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x7f4d1536, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x909835aa, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xf837e940, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xa1005cbe, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x7dd9b2df, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xca142276, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x3ff65d5c, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x45d878a1, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xdd44698c, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x24fe5a51, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x03c71201, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x902d52c6, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x33f2dfcd, "");
SYMBOL_CRC(usbnet_manage_power, 0xbf256002, "");
SYMBOL_CRC(usbnet_link_change, 0x8e5b4a51, "");
SYMBOL_CRC(usbnet_read_cmd, 0x21be16bf, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x3f5f78b0, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xf34bb9f6, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x011b9baa, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xccf4d142, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdaa5e0e, "usb_set_interface" },
	{ 0x7b901758, "usb_string" },
	{ 0xf16db7ed, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4ba30be8, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x569fbdd1, "skb_queue_purge_reason" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0xbda27106, "usb_get_urb" },
	{ 0xef9b2a27, "usb_unlink_urb" },
	{ 0x670f9b1c, "usb_free_urb" },
	{ 0x476c47ba, "usb_submit_urb" },
	{ 0x2a8a54d1, "netdev_err" },
	{ 0x5f356865, "mii_ethtool_get_link_ksettings" },
	{ 0x839f0d26, "mii_ethtool_set_link_ksettings" },
	{ 0xa2b18d68, "mii_nway_restart" },
	{ 0x88d8da3b, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x684e08cb, "unregister_netdev" },
	{ 0xcec8d511, "usb_scuttle_anchored_urbs" },
	{ 0x83676e85, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8e88d406, "free_netdev" },
	{ 0x5110a08a, "netdev_info" },
	{ 0x4982561f, "netif_carrier_on" },
	{ 0xf4bb6ed7, "netif_carrier_off" },
	{ 0x94cba044, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3e8eb350, "usb_autopm_get_interface" },
	{ 0xcab7708a, "usb_autopm_put_interface" },
	{ 0x669f5bab, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0x789f0722, "mii_link_ok" },
	{ 0x70f44914, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0xdf2aa931, "netif_device_detach" },
	{ 0xe37b8ba6, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e74aac8, "skb_defer_rx_timestamp" },
	{ 0xa9f54f79, "netif_rx" },
	{ 0x94bede99, "eth_type_trans" },
	{ 0xf4fcf8be, "skb_queue_tail" },
	{ 0x2cd65e7d, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0x5246e74a, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x77802e66, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xce1bc712, "skb_clone_tx_timestamp" },
	{ 0xaa261b5e, "usb_autopm_get_interface_async" },
	{ 0x870c13e9, "dev_kfree_skb_any_reason" },
	{ 0xc5af3e59, "skb_tstamp_tx" },
	{ 0xfa0fb538, "usb_anchor_urb" },
	{ 0x4ef967ed, "__netdev_alloc_skb" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0xc69e1a8c, "netif_tx_wake_queue" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0xe094145c, "usb_autopm_get_interface_no_resume" },
	{ 0xb8462ab9, "usb_get_from_anchor" },
	{ 0xb1c88763, "skb_put" },
	{ 0x6e014602, "usb_clear_halt" },
	{ 0xf134c348, "eth_mac_addr" },
	{ 0x8b6f52c0, "eth_validate_addr" },
	{ 0xbfd9436, "dev_get_tstats64" },
	{ 0xe30d3fb8, "ethtool_op_get_ts_info" },
	{ 0x28aa3e5a, "param_ops_int" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
