#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x0af95424, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xa5639b75, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x00cc6e2d, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xb13268f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2644a2f7, "__skb_checksum_complete" },
	{ 0x40ac064f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb0484f92, "skb_copy_bits" },
	{ 0x592fd8f, "__nlmsg_put" },
	{ 0xcb1ed453, "netdev_adjacent_change_commit" },
	{ 0xf134c348, "eth_mac_addr" },
	{ 0xb1c88763, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x25ec121b, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb8e8c069, "ip6_dst_hoplimit" },
	{ 0xb7b5d6c4, "param_ops_ushort" },
	{ 0xd33d8b62, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x718cbf20, "udp_sock_create4" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x97c220a5, "udp_tunnel6_xmit_skb" },
	{ 0xb7bd78b5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa0f1e802, "__unregister_nexthop_notifier" },
	{ 0xffa3abe4, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b6f52c0, "eth_validate_addr" },
	{ 0xf21feb04, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x56607765, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6c83209d, "rtnl_create_link" },
	{ 0x49d8e18d, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8756da57, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8a4d7a82, "ether_setup" },
	{ 0xa7d99a42, "udp_tunnel_drop_rx_port" },
	{ 0x14e4c886, "netdev_upper_dev_link" },
	{ 0xc7736c13, "pskb_expand_head" },
	{ 0xc439e3cb, "register_pernet_subsys" },
	{ 0x94bede99, "eth_type_trans" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x170b2f38, "__alloc_skb" },
	{ 0x783fbbb2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc11d797a, "eth_gro_complete" },
	{ 0x793a9c93, "rtnl_set_sk_err" },
	{ 0x5d7f3921, "eth_gro_receive" },
	{ 0x5e3a3bd7, "rtnl_configure_link" },
	{ 0x391722d1, "skb_tunnel_check_pmtu" },
	{ 0xb5f62ff0, "udp_tunnel_dst_lookup" },
	{ 0xe29614e7, "rtnl_unicast" },
	{ 0xf8e6c759, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x75fb55bd, "__skb_get_hash_net" },
	{ 0xf1957b0d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x63f956f2, "__dev_get_by_index" },
	{ 0xb3b0eee4, "rtnl_link_unregister" },
	{ 0x8373481e, "ipv6_stub" },
	{ 0xcf834fb1, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6d508805, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfbbb5e8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa276d2ad, "dev_get_by_index_rcu" },
	{ 0x98d7fe88, "gro_cells_receive" },
	{ 0x64cb7f8b, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x9baddb57, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x8e88d406, "free_netdev" },
	{ 0xb419362, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb023da4a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9438c9f5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70f44914, "ethtool_op_get_link" },
	{ 0xb2c9ce26, "nexthop_find_by_id" },
	{ 0xdaf5cdb4, "arp_create" },
	{ 0xb318031c, "__ethtool_get_link_ksettings" },
	{ 0x4753d819, "netdev_adjacent_change_prepare" },
	{ 0xd01a9055, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7c12364f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdc126f62, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1f1dff2, "rht_bucket_nested_insert" },
	{ 0x426c923f, "netdev_adjacent_change_abort" },
	{ 0xab0b797b, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfda70d96, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b31b55e, "__iptunnel_pull_header" },
	{ 0x87623991, "__pskb_pull_tail" },
	{ 0xbfd9436, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xa9f54f79, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x7202c15b, "rhashtable_destroy" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x48d4a2b4, "setup_udp_tunnel_sock" },
	{ 0x9368dc26, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x879e2b5f, "skb_trim" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4ba30be8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3dce7404, "skb_scrub_packet" },
	{ 0x412e4491, "nexthop_select_path" },
	{ 0x9d86dd10, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc570bbf0, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x338c554f, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0xda29fad6, "udp_tun_rx_dst" },
	{ 0x4d62b345, "rtnl_notify" },
	{ 0xb1c150da, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3074c41a, "__netif_rx" },
	{ 0xe270b1b5, "skb_clone" },
	{ 0x5c0a07b1, "metadata_dst_alloc" },
	{ 0xfd6c417b, "dst_release" },
	{ 0xf4dd609a, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9d454ec, "udp_tunnel_notify_del_rx_port" },
	{ 0x5c4e4152, "register_nexthop_notifier" },
	{ 0xbaf1a868, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa4a0fea6, "gro_find_receive_by_type" },
	{ 0x4c3eb84d, "netdev_core_stats_inc" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0x5110a08a, "netdev_info" },
	{ 0x1708e6c7, "neigh_lookup" },
	{ 0x49a15762, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf5495d60, "register_netdevice" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
