#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xbf49ed07, "");
SYMBOL_CRC(bt_sock_register, 0x1d5e8248, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xd2b8ba9a, "");
SYMBOL_CRC(bt_sock_link, 0x326ed68d, "");
SYMBOL_CRC(bt_sock_unlink, 0x0fd75bef, "");
SYMBOL_CRC(bt_sock_linked, 0xd3d9b3f9, "");
SYMBOL_CRC(bt_accept_enqueue, 0xebdbe30d, "");
SYMBOL_CRC(bt_accept_unlink, 0xea4eee80, "");
SYMBOL_CRC(bt_accept_dequeue, 0x9dda7cc1, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x13c30bfa, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x8ebb4341, "");
SYMBOL_CRC(bt_sock_poll, 0x9becbc8d, "");
SYMBOL_CRC(bt_sock_ioctl, 0x62fbd7e7, "");
SYMBOL_CRC(bt_sock_wait_state, 0xe3876a18, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x406a8cb2, "");
SYMBOL_CRC(bt_procfs_init, 0x19955b95, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xc4240d50, "");
SYMBOL_CRC(bt_debugfs, 0xa3cd611d, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x19f1e5f3, "");
SYMBOL_CRC(hci_free_dev, 0x55fdc68e, "");
SYMBOL_CRC(hci_register_dev, 0x309cc154, "");
SYMBOL_CRC(hci_unregister_dev, 0xd297d38b, "");
SYMBOL_CRC(hci_release_dev, 0xc17ed4ed, "");
SYMBOL_CRC(hci_suspend_dev, 0xb22fa3c1, "");
SYMBOL_CRC(hci_resume_dev, 0x6513b9d3, "");
SYMBOL_CRC(hci_reset_dev, 0x183a4634, "");
SYMBOL_CRC(hci_recv_frame, 0x1c6a9397, "");
SYMBOL_CRC(hci_recv_diag, 0x97e18aef, "");
SYMBOL_CRC(hci_set_hw_info, 0x49a1c04d, "");
SYMBOL_CRC(hci_set_fw_info, 0x35ac5a67, "");
SYMBOL_CRC(hci_register_cb, 0x1fdbc520, "");
SYMBOL_CRC(hci_unregister_cb, 0x4146fccf, "");
SYMBOL_CRC(__hci_cmd_send, 0xe5bd8161, "");
SYMBOL_CRC(hci_get_route, 0x273ea599, "");
SYMBOL_CRC(hci_conn_security, 0x0073d7b1, "");
SYMBOL_CRC(hci_conn_check_secure, 0x071016b0, "");
SYMBOL_CRC(hci_conn_switch_role, 0x8dac0f2b, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x8ee93903, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x02fd5efb, "");
SYMBOL_CRC(l2cap_add_psm, 0x00ca9ab1, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xea82d416, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x3d9067a5, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xa422bec0, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xfca04683, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x4901e6ed, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xacebc6a3, "");
SYMBOL_CRC(l2cap_register_user, 0x92e1bb29, "");
SYMBOL_CRC(l2cap_unregister_user, 0xc5923c5b, "");
SYMBOL_CRC(l2cap_conn_get, 0x88b3c22b, "");
SYMBOL_CRC(l2cap_conn_put, 0xad4050bd, "");
SYMBOL_CRC(l2cap_chan_send, 0x96cb2044, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x65167682, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x59b304eb, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xf726becf, "");
SYMBOL_CRC(__hci_cmd_sync, 0x3d6d2116, "");
SYMBOL_CRC(hci_cmd_sync, 0x04d09a2d, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x3b5f355d, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xed4fb3f0, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x2a6f29ea, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xe193c5f6, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xd2b8de7e, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x1931ba42, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xdca44807, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x8dc12a0f, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xdb167b49, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xd8d12b11, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x67903fae, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x65d20bab, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xafc7d76d, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x5bc5bcae, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xebb862e1, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x6c179a06, "");
SYMBOL_CRC(hci_devcd_init, 0x7baac947, "");
SYMBOL_CRC(hci_devcd_append, 0x3754aae9, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x2e5d0bc0, "");
SYMBOL_CRC(hci_devcd_complete, 0x599f92d6, "");
SYMBOL_CRC(hci_devcd_abort, 0x1219c878, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xd5c126a5, "skb_free_datagram" },
	{ 0xa5abddc7, "sock_queue_rcv_skb_reason" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0xbc002942, "try_module_get" },
	{ 0x3265ab2e, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7c2573, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0xe392359c, "idr_find" },
	{ 0x7bd13e68, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xb1c88763, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x881a29a4, "dev_set_name" },
	{ 0xbd939ae2, "scm_detach_fds" },
	{ 0xe9df7752, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e69dde9, "device_unregister" },
	{ 0x77802e66, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x2cc3b0bb, "debugfs_create_u16" },
	{ 0xc48efede, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x5ffa2b67, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xfc01c617, "add_wait_queue_exclusive" },
	{ 0xc8e6380, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x94279c13, "seq_lseek" },
	{ 0x62664591, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd48d50c7, "sock_no_connect" },
	{ 0xde780259, "prepare_to_wait_event" },
	{ 0xa99ad987, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x6c1f75ac, "__wake_up" },
	{ 0x158b60eb, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x71931633, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x96be3722, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x47f4b0b2, "__put_cred" },
	{ 0xde828ea4, "put_cmsg" },
	{ 0x569fbdd1, "skb_queue_purge_reason" },
	{ 0x606381c4, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xffc958b, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x8efbfa6d, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcf6a2b38, "sock_register" },
	{ 0xddfd375, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xba8f94fa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x170b2f38, "__alloc_skb" },
	{ 0xc63d5ed4, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xf117fd27, "rt_write_unlock" },
	{ 0xc7f2a8a9, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf4fcf8be, "skb_queue_tail" },
	{ 0xcf48eb5b, "module_put" },
	{ 0x4e45cbea, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x938915b2, "idr_remove" },
	{ 0x7c97a3e8, "debugfs_attr_read" },
	{ 0x8953313c, "__sock_recv_timestamp" },
	{ 0x5aa2711b, "sock_no_shutdown" },
	{ 0x3a598dec, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5017495d, "crypto_req_done" },
	{ 0x6398ec8f, "init_net" },
	{ 0x2fc05470, "crypto_shash_setkey" },
	{ 0x2dc67507, "simple_open" },
	{ 0xcf834fb1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc5845436, "device_add" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xe0293d23, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x73e92604, "init_uts_ns" },
	{ 0xfbbb5e8, "sk_skb_reason_drop" },
	{ 0x99680f9b, "sk_free" },
	{ 0xc5fe19c9, "device_move" },
	{ 0xcbd7367b, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe65bef2f, "mutex_lock" },
	{ 0x64cb7f8b, "skb_push" },
	{ 0x1bf014fb, "sock_no_listen" },
	{ 0x7fd5cbd7, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x8563ca41, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x12aab1ac, "iov_iter_kvec" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x50f03faa, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9438c9f5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4517fe52, "dev_coredumpv" },
	{ 0xa7d89b8a, "skb_copy_datagram_iter" },
	{ 0xc413cb45, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xcae025a8, "sk_alloc" },
	{ 0x33a89136, "device_del" },
	{ 0xaf8d1cd1, "__sock_queue_rcv_skb" },
	{ 0x6bba24b, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x530395b, "default_llseek" },
	{ 0x6ed4e122, "__sock_recv_wifi_status" },
	{ 0x7e4f8538, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdf50f0e, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x127928bb, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x80ae1ceb, "sock_no_mmap" },
	{ 0x5265f30c, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x87623991, "__pskb_pull_tail" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x864738ce, "__scm_destroy" },
	{ 0xbf6b27c1, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x879e2b5f, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xf2511fa0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15eea060, "seq_read" },
	{ 0x1fa16a4d, "rt_read_lock" },
	{ 0x693e9e16, "sock_i_ino" },
	{ 0xa7d80138, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xd46b09ee, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xaaee972b, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe129c77d, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x3f63df88, "skb_recv_datagram" },
	{ 0xac6cb027, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd7a95c1c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc660d820, "remove_proc_entry" },
	{ 0xeaeff832, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ccea9d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x293e94da, "skb_copy" },
	{ 0xe270b1b5, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x537c96d6, "rt_write_lock" },
	{ 0x9c2ccd8d, "_copy_from_iter" },
	{ 0x81489b3c, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7bf820c9, "remove_wait_queue" },
	{ 0xc82231d2, "seq_puts" },
	{ 0xe533f254, "sock_gettstamp" },
	{ 0xc4e70550, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x655d9d1f, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x6c0a4fe7, "from_kuid_munged" },
	{ 0x6e9f7e7f, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd9a667e3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd844172, "proc_create_seq_private" },
	{ 0xbca22330, "debugfs_create_u8" },
	{ 0xf9a23282, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe5796b76, "crypto_alloc_shash" },
	{ 0xb8451ab6, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6da11454, "fwnode_property_read_u8_array" },
	{ 0xc0046f27, "__mutex_rt_init" },
	{ 0xf873d994, "put_pid" },
	{ 0xf01c0b8e, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe593bf85, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa69d2929, "__dev_fwnode" },
	{ 0xb77fe745, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x49a15762, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46258cd2, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "7FC17935133A8AA3F10AD0C");
MODULE_INFO(rhelversion, "9.6");
